!sa1 = 2        ; Set to 0 if you are not using SA-1, 1 if you are using normal SA-1 and 2 if you are using SA-1 with more sprites enabled

macro define_sprite_table(name, addr, addr_sa1, addr_more_sprites)
if !sa1 == 0
    !<name> = <addr>
elsif !sa1 == 1
    !<name> = <addr_sa1>
else
    !<name> = <addr_more_sprites>
endif
endmacro

%define_sprite_table(sprite_num, $9E, $9E, $3200)
%define_sprite_table(sprite_speed_y, $AA, $AA, $9E)
%define_sprite_table(sprite_speed_x, $B6, $B6, $B6)
%define_sprite_table(sprite_misc_c2, $C2, $C2, $D8)
%define_sprite_table(sprite_y_low, $D8, $D8, $3216)
%define_sprite_table(sprite_x_low, $E4, $E4, $322C)
%define_sprite_table(sprite_status, $14C8, $74C8, $3242)
%define_sprite_table(sprite_y_high, $14D4, $74D4, $3258)
%define_sprite_table(sprite_x_high, $14E0, $74E0, $326E)
%define_sprite_table(sprite_speed_y_frac, $14EC, $74EC, $3284)
%define_sprite_table(sprite_speed_x_frac, $14F8, $74F8, $329A)
%define_sprite_table(sprite_misc_1504, $1504, $7504, $32B0)
%define_sprite_table(sprite_misc_1510, $1510, $7510, $32C6)
%define_sprite_table(sprite_misc_151c, $151C, $751C, $32DC)
%define_sprite_table(sprite_misc_1528, $1528, $7528, $32F2)
%define_sprite_table(sprite_misc_1534, $1534, $7534, $3308)
%define_sprite_table(sprite_misc_1540, $1540, $7540, $331E)
%define_sprite_table(sprite_misc_154c, $154C, $754C, $3334)
%define_sprite_table(sprite_misc_1558, $1558, $7558, $334A)
%define_sprite_table(sprite_misc_1564, $1564, $7564, $3360)
%define_sprite_table(sprite_misc_1570, $1570, $7570, $3376)
%define_sprite_table(sprite_misc_157c, $157C, $757C, $338C)
%define_sprite_table(sprite_blocked_status, $1588, $7588, $33A2)
%define_sprite_table(sprite_misc_1594, $1594, $7594, $33B8)
%define_sprite_table(sprite_off_screen_horz, $15A0, $75A0, $33CE)
%define_sprite_table(sprite_misc_15ac, $15AC, $75AC, $33E4)
%define_sprite_table(sprite_slope, $15B8, $75B8, $33FA)
%define_sprite_table(sprite_off_screen, $15C4, $75C4, $3410)
%define_sprite_table(sprite_being_eaten, $15D0, $75D0, $3426)
%define_sprite_table(sprite_obj_interact, $15DC, $75DC, $343C)
%define_sprite_table(sprite_oam_index, $15EA, $75EA, $3452)
%define_sprite_table(sprite_oam_properties, $15F6, $75F6, $3468)
%define_sprite_table(sprite_misc_1602, $1602, $7602, $347E)
%define_sprite_table(sprite_misc_160e, $160E, $760E, $3494)
%define_sprite_table(sprite_index_in_level, $161A, $761A, $34AA)
%define_sprite_table(sprite_misc_1626, $1626, $7626, $34C0)
%define_sprite_table(sprite_behind_scenery, $1632, $7632, $34D6)
%define_sprite_table(sprite_misc_163e, $163E, $763E, $34EC)
%define_sprite_table(sprite_in_water, $164A, $764A, $3502)
%define_sprite_table(sprite_tweaker_1656, $1656, $7656, $3518)
%define_sprite_table(sprite_tweaker_1662, $1662, $7662, $352E)
%define_sprite_table(sprite_tweaker_166e, $166E, $766E, $3544)
%define_sprite_table(sprite_tweaker_167a, $167A, $767A, $355A)
%define_sprite_table(sprite_tweaker_1686, $1686, $7686, $3570)
%define_sprite_table(sprite_off_screen_vert, $186C, $786C, $3586)
%define_sprite_table(sprite_misc_187b, $187B, $787B, $359C)
%define_sprite_table(sprite_tweaker_190f, $190F, $790F, $35B2)
%define_sprite_table(sprite_misc_1fd6, $1FD6, $7FD6, $35C8)
%define_sprite_table(sprite_cape_disable_time, $1FE2, $7FE2, $35DE)